Users
List user passes
Returns all wallet passes owned by a specific user.
Required scopes: pass:read
AuthorizationBearer <token>
Sign in with your account. A temporary API token is generated automatically for the selected organization.
In: header
Path Parameters
userId*string
Response Body
*/*
curl -X GET "https://api.stemp.app/api/v1/users/string/passes"{
"passes": [
{
"id": "string",
"object": "string",
"template": {
"id": "string",
"name": "string",
"hasStampFeature": true
},
"installations": [
{
"platform": "APPLE",
"installedAt": "2019-08-24T14:15:22Z",
"uninstalledAt": "2019-08-24T14:15:22Z",
"status": "INSTALLED"
}
],
"stampState": {
"currentStamps": 0,
"maxStamps": 0,
"totalStampsCollected": 0,
"timesCompleted": 0,
"lastStampAt": "2019-08-24T14:15:22Z"
},
"stampConfig": {
"maxStamps": 0,
"rewardName": "string",
"rewardDescription": "string",
"autoResetOnComplete": true
},
"qrCodeValue": "string",
"currentStripImageUrl": "string",
"isPreviewPass": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
]
}